Page MenuHomePhabricator

[Feeds] Implement "because you read [x]" card.
Closed, ResolvedPublic2 Story Points

Description

This is to create a card for the feed that contains a reading suggestion based on the user's recent reading history.

If I have viewed an article from $site with $title for 30 seconds
The next time I look at the feed...
I should see 3 recommendations for articles from $site related to $title
And they should not be disambiguation pages
And they should be in the main namespace

If I have viewed an article from $site with $title for less than 30 seconds
And the feed didn’t previously contain a section “Because you read $title”
When the feed is refreshed
I should *not* see a “Because you read $title” section

Event Timeline

Dbrant created this task.Mar 7 2016, 3:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2016, 3:10 PM
MBinder_WMF set the point value for this task to 10.Mar 15 2016, 5:46 PM
MBinder_WMF added a subscriber: MBinder_WMF.

Pointing as part of work breakdown meeting.

MBinder_WMF removed the point value for this task.Apr 13 2016, 7:03 PM
MBinder_WMF moved this task from Small to Medium on the Android-app-feature-Feeds board.
MBinder_WMF set the point value for this task to 2.May 13 2016, 6:15 PM
Mholloway claimed this task.

Change 293139 had a related patch set uploaded (by Mholloway):
"Because you read" feed card

https://gerrit.wikimedia.org/r/293139

Change 293139 merged by jenkins-bot:
"Because you read" feed card

https://gerrit.wikimedia.org/r/293139

Dbrant closed this task as Resolved.Jun 14 2016, 1:42 PM